Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  class BoxUnbox [BT <: BTypes] extends AnyRef
  Definition Classes
    opt
- BoxConsumer
- BoxCreation
- BoxKind
- CopyOpsIterator
- EscapingConsumer
- InstanceCreation
- ModuleFactory
- ModuleGetter
- PrimitiveBox
- PrimitiveBoxingGetter
- PrimitiveUnboxingGetter
- Ref
- StaticFactory
- StaticGetterOrInstanceRead
- StaticSetterOrInstanceWrite
- Tuple

c

scala.tools.nsc.backend.jvm.opt.BoxUnbox

# ModuleFactory 

###

#### case class ModuleFactory(moduleLoad: AbstractInsnNode, producer: MethodInsnNode) extends BoxCreation with Product with Serializable

Source
  BoxUnbox.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, BoxCreation, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ModuleFactory
2. Serializable
3. Serializable
4. Product
5. Equals
6. BoxCreation
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ModuleFactory(moduleLoad: AbstractInsnNode, producer: MethodInsnNode)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ModuleFactory to any2stringadd[ModuleFactory] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ModuleFactory, B)
   Implicit
     This member is added by an implicit conversion from ModuleFactory to ArrowAssoc[ModuleFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def allInsns: Set[AbstractInsnNode]
   Definition Classes
     BoxCreation
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def boxConsumers(prodCons: ProdConsAnalyzer, ultimate: Boolean): Set[AbstractInsnNode]

   The consumers of the box produced by this box creation.

   The consumers of the box produced by this box creation. If `ultimate` is true, then the final consumers are returned (e.g., an unbox operation), otherwise direct consumers (e.g., a store operation).

   Definition Classes
     BoxCreation
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def ensuring(cond: (ModuleFactory) ⇒ Boolean, msg: ⇒ Any): ModuleFactory
    Implicit
      This member is added by an implicit conversion from ModuleFactory to Ensuring[ModuleFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (ModuleFactory) ⇒ Boolean): ModuleFactory
    Implicit
      This member is added by an implicit conversion from ModuleFactory to Ensuring[ModuleFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): ModuleFactory
    Implicit
      This member is added by an implicit conversion from ModuleFactory to Ensuring[ModuleFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): ModuleFactory
    Implicit
      This member is added by an implicit conversion from ModuleFactory to Ensuring[ModuleFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ModuleFactory to StringFormat[ModuleFactory] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val loadInitialValues: Option[List[AbstractInsnNode]]
    Definition Classes
      ModuleFactory → BoxCreation
20.  val moduleLoad: AbstractInsnNode
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  val producer: MethodInsnNode
    Definition Classes
      ModuleFactory → BoxCreation
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def valuesConsumer: MethodInsnNode

    The instruction that consumes the boxed values; for instance creations, the `init` call.

    The instruction that consumes the boxed values; for instance creations, the `init` call.

    Definition Classes
      BoxCreation
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (ModuleFactory, B)
    Implicit
      This member is added by an implicit conversion from ModuleFactory to ArrowAssoc[ModuleFactory] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BoxCreation

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ModuleFactory to any2stringadd[ModuleFactory]

### Inherited by implicit conversion StringFormat from ModuleFactory to StringFormat[ModuleFactory]

### Inherited by implicit conversion Ensuring from ModuleFactory to Ensuring[ModuleFactory]

### Inherited by implicit conversion ArrowAssoc from ModuleFactory to ArrowAssoc[ModuleFactory]

### Ungrouped